cmake_minimum_required(VERSION 3.10)
project(common_msgs)
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

if (NOT TARGET tf3_geometry_msgs)
    add_subdirectory(tf3_geometry_msgs)
endif()

if (NOT TARGET tf3_sensor_msgs)
    add_subdirectory(tf3_sensor_msgs)
endif()
 